Skip to content
Start here

Get job details

GET/accounts/{account_id}/slurper/jobs/{job_id}

Retrieves detailed status and configuration for a specific R2 Super Slurper migration job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
job_id: string
ReturnsExpand Collapse
errors: optional array of ResponseInfo { code, message, documentation_url, source }
minLength1
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: optional array of string
result: optional { id, createdAt, finishedAt, 4 more }
id: optional string
createdAt: optional string
finishedAt: optional string
overwrite: optional boolean
source: optional { bucket, endpoint, keys, 2 more } or { bucket, keys, pathPrefix, vendor } or { bucket, jurisdiction, keys, 2 more }
One of the following:
S3SourceResponseSchema { bucket, endpoint, keys, 2 more }
bucket: optional string
endpoint: optional string
keys: optional array of string
pathPrefix: optional string
vendor: optional "s3"
GcsSourceResponseSchema { bucket, keys, pathPrefix, vendor }
bucket: optional string
keys: optional array of string
pathPrefix: optional string
vendor: optional "gcs"
R2SourceResponseSchema { bucket, jurisdiction, keys, 2 more }
bucket: optional string
jurisdiction: optional "default" or "eu" or "fedramp"
One of the following:
"default"
"eu"
"fedramp"
keys: optional array of string
pathPrefix: optional string
vendor: optional Provider
status: optional "running" or "paused" or "aborted" or "completed"
One of the following:
"running"
"paused"
"aborted"
"completed"
target: optional { bucket, jurisdiction, vendor }
bucket: optional string
jurisdiction: optional "default" or "eu" or "fedramp"
One of the following:
"default"
"eu"
"fedramp"
vendor: optional Provider
success: optional true

Indicates if the API call was successful or not.

Get job details

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/slurper/jobs/$JOB_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "finishedAt": "finishedAt",
    "overwrite": true,
    "source": {
      "bucket": "bucket",
      "endpoint": "endpoint",
      "keys": [
        "string"
      ],
      "pathPrefix": "pathPrefix",
      "vendor": "s3"
    },
    "status": "running",
    "target": {
      "bucket": "bucket",
      "jurisdiction": "default",
      "vendor": "r2"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "finishedAt": "finishedAt",
    "overwrite": true,
    "source": {
      "bucket": "bucket",
      "endpoint": "endpoint",
      "keys": [
        "string"
      ],
      "pathPrefix": "pathPrefix",
      "vendor": "s3"
    },
    "status": "running",
    "target": {
      "bucket": "bucket",
      "jurisdiction": "default",
      "vendor": "r2"
    }
  },
  "success": true
}